local game = {}

function game:load(colorA, colorB)
	self.level = {
	{1,0,0,0,0,1},
	{1,1,0,0,1,1},
	{1,0,1,1,0,1},
	{1,0,1,1,0,1},
	{1,1,0,0,1,1},
	{1,0,0,0,0,1}	
	}
	self.walls = colorA or self.walls or {255, 255, 255}
	self.floors = colorB or self.floors or {100, 100, 100}
	self.player = self.player or {x = 10, y = 20}
end

function game:unload()
	self.level = nil
end

function game:update(dt)
	if love.keyboard.isDown('up') then self.player.y = self.player.y - 50*dt end
	if love.keyboard.isDown('down') then self.player.y = self.player.y + 50*dt end
	if love.keyboard.isDown('left') then self.player.x = self.player.x - 50*dt end
	if love.keyboard.isDown('right') then self.player.x = self.player.x + 50*dt end
end

function game:draw()
	for i, v in ipairs(self.level) do
		for j, tile in ipairs(v) do
			if tile == 0 then
				love.graphics.setColor(self.walls)
			elseif tile == 1 then
				love.graphics.setColor(self.floors) 
			end
			love.graphics.rectangle('fill', i*52, j*36, 52, 36)
		end
	end
	love.graphics.setColor(255,255,255)
	love.graphics.circle('fill', self.player.x, self.player.y, 16)
	love.graphics.print('arrow controls, escape to main menu')
end

function game:keypressed(key)
	if key == 'escape' then state:set('menu') end
end

return game