state = require 'gamestate'

menu = {}
function menu:load()
	self.list = {'game', 'exit'}
	self.cursor = 1
end

function menu:unload()
	self.x, self.y = nil, nil
end

function menu:keypressed(key)
	if key == 'escape' then love.event.quit() end
	if key == 'return' then 
		local r = math.random
		if self.cursor == 1 then state:set('game', {r(200), r(200), r(200)}, {r(200), r(200), r(200)}) 
		elseif self.cursor == 2 then love.event.quit() end
	end
	if key == 'up' then self.cursor = self.cursor > 1 and self.cursor - 1 or self.cursor end
	if key == 'down' then self.cursor = self.cursor < 2 and self.cursor + 1 or self.cursor end
end

function menu:draw()
	for i, v in ipairs(self.list) do
		if i == self.cursor then love.graphics.setColor(200, 200, 200)
		else love.graphics.setColor(100, 100, 100) end
		love.graphics.printf(v, 0, i*14 + love.graphics.getHeight()/2, love.graphics.getWidth(), 'center')
	end
	love.graphics.setColor(255,255,255)
end
state:new('menu', menu)
state:new('game', require 'game')
state:set('menu')

function love.keypressed(key)
	state:keypressed(key)
end